/*:
 ## Übung: Lotteriescheine
 Der Unternehmergeist deines Freundes kennt keine Grenzen. Jetzt betreibt er die Lotterie der Stadt.
 
 Ein weiterer sinnvoller Grund, Dingen einen Namen zu geben und einen Wert nur einmal festzulegen, ist dass du entscheiden kannst, wie etwas auf die richtige Art berechnet wird, und dann die Werte ändern und die Antworten überprüfen kannst.
*/
// Werte, die du bearbeiten solltest
let ticketsSold = 1000
let ticketPrice = 1
let printingCosts = 20
let advertising = 50
/*:
 - callout(Exercise):
(Übung):\
Du hast lange genug umsonst für deinen Freund gearbeitet. Für dieses Projekt wird dir dein Freund einen Anteil der Gewinne für deine Hilfe geben. Dein Freund wird dir ein Zehntel der Gewinne geben. Der Jackpot ist die Hälfte der gesamten Einnahmen der Lotteriescheine. Versuche, die Zahlen oben zu ändern – verkaufte Lotteriescheine, Lotteriescheinpreis, Druck- oder Werbekosten – und finde heraus, ob du mit deinem Anteil auf 100 oder mehr kommst.

 Die folgenden Berechnungen sind festgelegt, aber du kannst die Ergebnisse ändern, indem du die obigen Zahlen änderst:
*/
// Gesamteinnahmen
let totalTakings = ticketPrice * ticketsSold

// Jackpot
let jackpot = totalTakings / 2

// Ausgaben
let totalExpenses = printingCosts + advertising

// Gewinn
let profit = totalTakings - jackpot - totalExpenses

// Vertrieb
let programmersCut = profit / 10 // Das ist die Antwort, wenn du über 100 kommen willst! 👉 
let friendsCut = profit - programmersCut

//:[Zurück](@previous)  |  Seite 11 von 14  |  [Weiter mit: Übung: Was passt auf dein iPhone?](@next)
