//: ## Eine gute Namensgebung
//: Eine gute Namensgebung ist ein sehr wichtiger Teil der Programmierung. Programmierer sollten gute Namen wählen, denn es ist zwar wichtig zu wissen, wie man Code schreibt, aber es ist sogar noch wichtiger, Code lesen und verstehen zu können.
//:
//: Bisher hast du Namen wie `numberOfDogs` und `numberOfCats` verwendet. Das sind gute Namen, weil sie deutlich beschreiben, wofür sie stehen.
//:
//: Stell dir vor, die Namen wären stattdessen `nd` und `nc` gewesen (für **n**umber of **d**ogs und **n**umber of **c**ats).\
//: Oder sogar noch weniger beschreibende Namen, wie `n1` und `n2`.
//:
//: Swift akzeptiert Namen wie diese ohne Beanstandung. Aber stell dir vor, du liest diesen Code, nachdem du aus dem Urlaub zurückgekommen bist. Könntest du dich daran erinnern, was `nd` oder `n1` bedeuten? Und wenn du anderen Programmieren den Playground geben würdest, wie würden sie herausfinden, was diese Namen bedeuten sollten?
//:
//: - callout(Just for fun):
//:(Nur zum Spaß):\
//:Du kannst in Swift Emojis in Namen verwenden. Das wird zwar nicht als gute Namensgebung betrachtet, kann aber Spaß machen. Unten ist das Haustierproblem, mit Emojis als Namen.
let 🐶 = 8
let 🐱 = 4
let 🐹 = 2
let 🐢 = 3
let 🐍 = 1
let 🐷 = 1
let 🐟 = 1

let totalNumberOfAnimals = 🐶 + 🐱 + 🐹 + 🐢 + 🐍 + 🐷 + 🐟

let totalNumberOfMammals = 🐶 + 🐱 + 🐹 + 🐷

//: - callout(Why not?):
//:(Warum nicht?):\
//:Warum sollte man nicht Emojis als Namen verwenden? Ein Grund ist, dass es schwierig sein kann, Emojis auf einen Blick auseinanderzuhalten. Ein anderer ist, dass es vielleicht nicht ein Emoji für jeden Fall gibt. Was, wenn jemand eine zahme Tarantel mit zur Haustierschau gebracht hätte? Es gibt kein passendes Emoji dafür. Wörter sind viel flexibler und zuverlässiger.
//:
//: Lerne als Nächstes die offiziellen Namen für die Arbeit, die du ausgeführt hast.
//:
//:[Zurück](@previous)  |  Seite 7 von 14  |  [Weiter mit: Wie Programmierer reden](@next)
