//: ## Identifier
//: In Swift bezeichnet man einen Namen formal als _identifier_. Du wirst den Begriff _identifier_ am häufigsten in Fehlermeldungen sehen. Programmierer verwenden normalerweise den informellen Begriff _Name_. Dieser Kurs wird beide Begriffe verwenden, damit du dich mit ihnen vertraut machen kannst.
//:
//: Namen für Konstanten beginnen mit einem Kleinbuchstaben (lowercase). Wie in den Beispielen unten gezeigt, können sie mehrere Worte enthalten, die alle zusammengeschrieben werden. Das wird so gemacht, weil Swift denken würde, dass jedes Wort ein anderer Identifier ist, wenn ein Leerzeichen dazwischen wäre.
//:
//:Um das Lesen von Identifiern mit mehreren Wörtern zu erleichtern, sollte jedes Wort nach dem ersten Wort groß geschrieben werden. Diese Art, Namen zu schreiben, nennt man Binnenmajuskel oder _camel case_, weil die Großbuchstaben in der Mitte des Namens ein bisschen wie die Höcker eines Kamels aussehen. 🐫
let numberOfDogs = 6 + 2

let numberOfCats = 5 - 1

let numberOfTurtles = 2 + 1

let numberOfHamsters = 1 + 1

let totalNumberOfAnimals = numberOfDogs + numberOfCats + numberOfTurtles + numberOfHamsters

let totalNumberOfMammals = numberOfDogs + numberOfCats + numberOfHamsters

//: - experiment:(Experiment): \
//:Es gibt noch mehr Änderungen für die Haustiere, die bei der Haustierschau erwartet werden.\
//:Um neue Arten von Tieren hinzuzufügen, füge neue Codezeilen ein, die neue Konstanten definieren. (Um eine neue Codezeile hinzuzufügen, klickst du einfach auf eine leere Zeile im oberen Bereich und beginnst mit der Eingabe.)
//:
//: Mache die folgenden Ergänzungen:
//: - Jemand bringt ein Hängebauchschwein (ein Säugetier) mit
//: - Jemand bringt einen Fisch (kein Säugetier) mit
//: - Jemand bringt eine Schlange (ganz bestimmt kein Säugetier) mit
//:
//: Als Nächstes erfährst du mehr über die Namensgebung. 
//:
//:[Zurück](@previous)  |  Seite 6 von 14  |  [Weiter mit: Eine gute Namensgebung](@next)
