//: ## Wie Programmierer reden
//: Als App-Entwickler musst du mehr tun als nur herausfinden, was du in Xcode eingeben solltest. Programmierer arbeiten zusammen, um zu diskutieren, wie man Probleme lösen und sich gegenseitig Dinge erklären kann. Deshalb ist es wichtig, die Terminologie zu lernen, die Programmierer verwenden.
//:
//: In diesem Kurs erfährst du, wie man Code schreibt und Apps erstellt, aber du wirst auch die Begriffe kennenlernen, die du brauchst, um mit anderen Entwicklern über Code zu reden.
//:
//: So wird z. B. eine „Codezeile“ formal eine _Anweisung_ genannt.
//:
//: Du hast bereits die Begriffe _Konstante_ und _Identifier_ in diesem Playground gesehen. Sieh dir die Anweisung unten genauer an, um einige zusätzliche Begriffe zu verstehen.
let numberOfDogs = 101
//: Wenn du eine Konstante in Swift definierst, spricht man vom _Deklarieren_ einer Konstante. Deshalb ist die obige Anweisung eine _Deklaration_. „Ich deklariere, dass der Name `numberOfDogs` den Wert `101` hat!“
//:
//: Das Wort `let` ist ein Beispiel für ein _Schlagwort_. Schlagwörter haben eine besondere Bedeutung in Swift und können nicht als Namen verwendet werden. Das `let`-Schlagwort wird verwendet, um eine Konstante zu deklarieren. Im Laufe der Zeit wirst du mehr Swift Schlagwörter kennenlernen.
//:
//: Im Teil der Anweisung `= 101` _weist_ du der Konstanten einen Wert zu. Das nennt man eine _Zuweisung_, und das Gleichheitszeichen `=` ist der sogenannte _Zuweisungsoperator_.
//:
//: - note:(Hinweis):\
//:Versuche nicht, dir jeden neuen Begriff sofort zu merken – das kann zu viel sein. Die Begriffe werden im Laufe des restlichen Kurses verwendet, und du kannst sie immer im Glossar des Schülerhandbuchs nachschlagen, wenn du dein Gedächtnis auffrischen musst.
//:
//:[Zurück](@previous)  |  Seite 8 von 14  |  [Weiter mit: Zusammenfassung](@next)
